List comment pages
curl --request GET \
--url https://api.surefeedback.com/api/v1/comments/pages \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.surefeedback.com/api/v1/comments/pages"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.surefeedback.com/api/v1/comments/pages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"page_url": "https://example.com/home",
"page_title": "Home",
"comment_count": 12
},
{
"page_url": "https://example.com/about",
"page_title": "About",
"comment_count": 3
}
],
"meta": {
"organization_id": "660e8400-e29b-41d4-a716-446655440001",
"site_id": "880e8400-e29b-41d4-a716-446655440003",
"timestamp": "2026-03-27T12:00:00.000Z"
}
}
Comments
List comment pages
List all pages on a site that have comments.
GET
/
comments
/
pages
List comment pages
Returns the unique pages for a site, along with comment counts and summary metadata used by the comments sidebar.
Query parameters
string
required
UUID of the site.
{
"success": true,
"data": [
{
"page_url": "https://example.com/home",
"page_title": "Home",
"comment_count": 12
},
{
"page_url": "https://example.com/about",
"page_title": "About",
"comment_count": 3
}
],
"meta": {
"organization_id": "660e8400-e29b-41d4-a716-446655440001",
"site_id": "880e8400-e29b-41d4-a716-446655440003",
"timestamp": "2026-03-27T12:00:00.000Z"
}
}
Was this page helpful?
⌘I